Loading...
Searching...
No Matches
uhd::experts Namespace Reference

## Classes

class | expert_container
class | expert_factory
class | dag_vertex_t
class | data_node_printer
class | data_node_t
class | node_retriever_t
class | data_accessor_t
class | data_accessor_base
class | data_reader_t
class | data_writer_t
class | worker_node_t

## Enumerations

enum | auto_resolve_mode_t { AUTO_RESOLVE_OFF , AUTO_RESOLVE_ON_READ , AUTO_RESOLVE_ON_WRITE , AUTO_RESOLVE_ON_READ_WRITE }
enum | node_class_t { CLASS_WORKER , CLASS_DATA , CLASS_PROPERTY }
enum | node_access_t { ACCESS_READER , ACCESS_WRITER }
enum | node_author_t { AUTHOR_NONE , AUTHOR_USER , AUTHOR_EXPERT }

## Enumeration Type Documentation

## auto_resolve_mode_t

enum uhd::experts::auto_resolve_mode_t

Enumerator
AUTO_RESOLVE_OFF |
AUTO_RESOLVE_ON_READ |
AUTO_RESOLVE_ON_WRITE |
AUTO_RESOLVE_ON_READ_WRITE |

## node_access_t

enum uhd::experts::node_access_t

Enumerator
ACCESS_READER |
ACCESS_WRITER |

## node_author_t

enum uhd::experts::node_author_t

Enumerator
AUTHOR_NONE |
AUTHOR_USER |
AUTHOR_EXPERT |

## node_class_t

enum uhd::experts::node_class_t

Enumerator
CLASS_WORKER |
CLASS_DATA |
CLASS_PROPERTY |